Bug 1279878 - python-zmq-15.3.0 is available
python-zmq-15.3.0 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-zmq (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Infrastructure SIG
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 07:46 EST by Upstream Release Monitoring
Modified: 2016-07-15 18:49 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-zmq-15.3.0-1.fc25
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-15 18:49:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 15.2.0 (#1279878) (1.07 KB, patch)
2016-01-16 17:31 EST, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.20 KB, patch)
2016-07-06 03:21 EDT, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2015-11-10 07:46:02 EST
Latest upstream release: v15.0.0
Current version/release in rawhide: 14.3.1-1.el7
URL: https://github.com/zeromq/pyzmq/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2015-11-10 07:46:20 EST
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-LY3nPu/python-zmq.spec
return code:  22
stdout:
Getting https://pypi.python.org/packages/source/p/pyzmq/pyzmq-v15.0.0.tar.gz to ./pyzmq-v15.0.0.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
Comment 2 Upstream Release Monitoring 2015-11-25 19:27:32 EST
Latest upstream release: v15.1.0
Current version/release in rawhide: 14.3.1-1.el7
URL: https://github.com/zeromq/pyzmq/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 3 Upstream Release Monitoring 2015-11-25 19:27:49 EST
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-kv43l7/python-zmq.spec
return code:  22
stdout:
Getting https://pypi.python.org/packages/source/p/pyzmq/pyzmq-v15.1.0.tar.gz to ./pyzmq-v15.1.0.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
Comment 4 Upstream Release Monitoring 2016-01-12 19:20:00 EST
Latest upstream release: v15.2.0
Current version/release in rawhide: 14.3.1-1.el7
URL: https://github.com/zeromq/pyzmq/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 5 Upstream Release Monitoring 2016-01-12 19:20:17 EST
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-pT3DTc/python-zmq.spec
return code:  22
stdout:
Getting https://pypi.python.org/packages/source/p/pyzmq/pyzmq-v15.2.0.tar.gz to ./pyzmq-v15.2.0.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
Comment 6 Raphael Groner 2016-01-16 17:30:01 EST
Hi Thomas,
you can add 'v' (one letter) as the version prefix in Anitya project settings, 
then URM could propably do a scratch build without error.
Comment 7 Upstream Release Monitoring 2016-01-16 17:30:41 EST
Latest upstream release: 15.2.0
Current version/release in rawhide: 14.3.1-1.el7
URL: https://github.com/zeromq/pyzmq/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 8 Upstream Release Monitoring 2016-01-16 17:31:05 EST
Created attachment 1115526 [details]
[patch] Update to 15.2.0 (#1279878)
Comment 9 Upstream Release Monitoring 2016-01-16 17:33:36 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12582434
Comment 10 Thomas Spura 2016-01-20 07:52:40 EST
The testsuite currently fails on python2 with:
FAIL: Message above 30 bytes are never copied by 0MQ.
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/tomspur/rpmbuild/BUILD/pyzmq-15.2.0/zmq/tests/test_message.py", line 57, in test_above_30
    self.assertEqual(grc(s), 4)
AssertionError: 5 != 4

----------------------------------------------------------------------
Ran 90 tests in 13.219s

An update needs more investigation.
Comment 11 Fedora Admin XMLRPC Client 2016-04-04 16:39:05 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Upstream Release Monitoring 2016-07-06 03:20:47 EDT
Latest upstream release: 15.3.0
Current version/release in rawhide: 14.3.1-1.el7
URL: https://github.com/zeromq/pyzmq/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4104/
Comment 13 Upstream Release Monitoring 2016-07-06 03:21:18 EDT
Patching or scratch build for python-zmq-14.3.1 failed.
Comment 14 Upstream Release Monitoring 2016-07-06 03:21:20 EDT
Created attachment 1176786 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 15 Upstream Release Monitoring 2016-07-06 03:21:21 EDT
Patches were not touched. All were applied properly
Comment 16 Upstream Release Monitoring 2016-07-12 15:26:32 EDT
orion's python-zmq-15.3.0-1.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=779803

Note You need to log in before you can comment on or make changes to this bug.